Index: contrib/crossrpms/rtems4.10/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,11 +11,11 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.10/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/lm32/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/lm32/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/lm32/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32c/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.10/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32r/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.10/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -11,10 +11,10 @@
 BINUTILS_OPTS +=
 
-GCC_VERS = 4.4.1
-GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 18
+GCC_VERS = 4.4.2
+GCC_PKGVERS = $(GCC_VERS)-RC-20091008
+GCC_RPMREL = 1
 NEWLIB_VERS = 1.17.0
 NEWLIB_PKGVERS = $(NEWLIB_VERS)
-NEWLIB_RPMREL = `expr 40 + $(GCC_RPMREL)`
+NEWLIB_RPMREL = `expr 58 + $(GCC_RPMREL)`
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 365dd6265f4e96150628ec9925da1166c14b3f2f)
+++ contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision b85a6f5501987a64d1bb2ca9b570f4c184f53109)
@@ -1,2 +1,6 @@
+%if "%{gcc_version}" == "4.4.2"
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-%{gcc_pkgvers}-rtems4.10-20091009.diff
+%endif
 %if "%{gcc_version}" == "4.4.1"
 Source0:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
@@ -6,4 +10,7 @@
 
 %if %build_cxx
+%if "%{gcc_version}" == "4.4.2" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/snapshots/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
 %if "%{gcc_version}" == "4.4.1" 
 Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
@@ -35,5 +42,5 @@
 %if "%{newlib_version}" == "1.17.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20090922.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.17.0-rtems4.10-20091009.diff
 %endif
 %{?_without_sources:NoSource:	50}
